package com.gh.gamecenter.feature.entity

import android.os.Parcelable
import com.google.gson.annotations.SerializedName
import kotlinx.parcelize.Parcelize

@Parcelize
class DiscoveryTagEntity(
    @SerializedName("_id")
    var id: String? = "",
    var text: String? = "",
    @SerializedName("keyword")
    var _keyword: String? = "",
    @SerializedName("recommend_type")
    var recommendType: String = ""
) : Parcelable {
    val keyword get(): String {
        val keyword = this._keyword
        if (keyword.isNullOrEmpty()) {
            return text ?: ""
        }
        return keyword
    }
}